PETSc version 3.15.5
Fix/Edit manual page

# MatProductSetAlgorithm

Requests a particular algorithm for a matrix product implementation.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSetAlgorithm(Mat mat,MatProductAlgorithm alg)

Collective on Mat

### Input Parameters

| mat | - the matrix product
| alg | - particular implementation algorithm of the matrix product, e.g., MATPRODUCTALGORITHM_DEFAULT.

### See Also

MatProductSetType(), MatProductSetFill(), MatProductCreate(), MatProductAlgorithm

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages